@import '../../../styles/variables';

.header {
  overflow: hidden;
  // header contents
  &[data-is-expanded='true'] {
    margin: auto;
    padding: $spacing-s;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: $black;
    z-index: 1;
    overflow-y: auto;

    @media (min-width: $mq-tab-s) {
      padding: $spacing-m;
      border: 20px solid $white;
    }
    .nav {
      flex-direction: column;
    }
  }

  .nav {
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: $mq-desk-m;
    margin: auto;
    padding-bottom: $spacing-s;

    @media (min-width: $mq-desk-m) {
      margin-top: $spacing-l;
      border-bottom: 1px solid $black;
    }
  }

  .hero {
    position: relative;
    max-height: 60vw;
    z-index: -1;
    @media (min-width: $mq-desk-m) {
      top: -74px;
    }

    &__title {
      margin: 0;
      position: absolute;
      top: 10%;
      left: 5%;
      z-index: 1;
      font-size: clamp($font-base, 20vw, 500px);
    }
  }
}

.logo {
  svg {
    color: $black;
    height: $spacing-m;
  }

  [data-is-expanded='true'] & {
    svg {
      color: $white;
    }
  }
}
